:root{
    --bg-color: #b9d6f2;
    --box-color: white;
    --text-color: black;
}

body {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif;
    background-color: #b9d6f2;
    color: #202122;
    margin: 0;
    padding: 20px;
}
.container {
    max-width: 900px;
    margin: 0 auto;
    background-color: white;
    padding: 20px;
    border: 1px solid #a2a9b1;
    height: auto;
    overflow: auto;
}
h1 {
    border-bottom: 3px solid #a2a9b1;
    padding-bottom: 10px;
    font-size: 1.8em;
}
.infobox {
    float: right;
    background-color: #f8f9fa;
    border: 1px solid #a2a9b1;
    padding: 10px;
    margin: 0 0 20px 20px;
    max-width: 90vw; /* Max width: 90% of viewport width */  
    max-height: 90vh; /* Max height: 90% of viewport height */  
    width: 35%;
}
p {
    line-height: 1.6;
    margin: 15px 0;
}
h2 {
    border-bottom: 1px solid #a2a9b1;
    padding-bottom: 5px;
    margin-top: 25px;
}
img{
    max-width: 100%;
    height: auto;
}
.icon{
    max-width: 50px;
}
.wiki-link{
    color: var(--text-color);
    background-color: transparent;
    text-decoration: none;
}
.hidden{
    display: none;
}

.dropdown {
    position: relative;
    display: inline-block;
}
.dropbtn {
    background-color: #f1f1f1;
    color: black;
    padding: 10px 20px;
    font-size: 16px;
    border: none;
    cursor: pointer;
    min-width: 160px;
}
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #fff;
    min-width: 160px;
    border: 1px solid #ddd;
    z-index: 1;
}
.dropdown:hover .dropdown-content {
    display: block; 
}
.dropdown-content div {
    padding: 10px;
    cursor: pointer;
}
.dropdown-content div:hover {
    background-color: #e6e6e6;  
}